Bug 1867829 - sudo(8) inside toolbox containers asks for a password with Podman 2.0.5
Summary: sudo(8) inside toolbox containers asks for a password with Podman 2.0.5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: toolbox
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: BetaFreezeException, F33BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2020-08-10 22:58 UTC by Marcel Ziswiler
Modified: 2020-09-10 20:29 UTC (History)
4 users (show)

Fixed In Version: toolbox-0.0.95-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-10 20:29:08 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github containers toolbox issues 523 None closed sudo(8) inside toolbox containers asks for a password with Podman 2.0.5 2020-10-07 14:57:05 UTC
Red Hat Bugzilla 1858974 unspecified CLOSED Containers don't start on Fedora CoreOS because there's no 'sudo' group inside the container 2020-10-14 00:28:05 UTC

Description Marcel Ziswiler 2020-08-10 22:58:23 UTC
Description of problem:

While latest updates make toolbox launch again, sudo operation inside still fails.

Version-Release number of selected component (if applicable):

[user@localhost ~]$ rpm -q podman toolbox systemd
podman-2.1.0-0.166.dev.git3173a18.fc33.x86_64
toolbox-0.0.93-2.fc33.x86_64
systemd-246.1-1.fc33.x86_64

How reproducible:

toolbox enter
sudo ls

Steps to Reproduce:
1. toolbox enter
2. sudo ls
3. enter password
4. fails

Actual results:

Sorry, try again.
[sudo] password for user: 
sudo: 1 incorrect password attempt

Expected results:

sudo should just work

Additional info:

May be related to recent toolbox sudo integration/setup issues.

Comment 1 Marcel Ziswiler 2020-08-11 06:50:02 UTC
Please note that toolbox containers from Fedora 31, 32 and 33 all work just fine when spun up on my Fedora Worstation 31 installation:

$ rpm -q podman toolbox systemd
podman-2.0.4-1.fc31.x86_64
toolbox-0.0.92-1.fc31.x86_64
systemd-243.8-1.fc31.x86_64

Comment 2 Ben Cotton 2020-08-11 15:18:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 3 Jens Petersen 2020-08-13 16:18:15 UTC
FWIW I am running toolbox-0.0.93-1.fc32
(and I don't need to enter a password for sudo anymore inside toolboxes).

Comment 4 Fedora Update System 2020-08-30 21:15:41 UTC
FEDORA-2020-885e55baff has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-885e55baff

Comment 5 Fedora Update System 2020-08-30 21:17:50 UTC
FEDORA-2020-306addaac0 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-306addaac0

Comment 6 Fedora Update System 2020-08-31 15:55:21 UTC
FEDORA-2020-306addaac0 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-306addaac0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-306addaac0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-08-31 18:57:19 UTC
FEDORA-2020-885e55baff has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-885e55baff`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-885e55baff

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-09-01 19:30:54 UTC
FEDORA-2020-306addaac0 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Debarshi Ray 2020-09-08 11:46:38 UTC
Toolbox is pretty widely used on Fedora variants like CoreOS, Silverblue and Workstation, and the inability to use sudo(8) is annoying. The fix isn't intrusive, has been widely tested and already deployed on Fedora 32.

Proposing as a Beta freeze exception.

Comment 10 Ondřej Míchal 2020-09-09 19:23:04 UTC
I was instructed by <tflink> on #fedora-qa on Freenode to reopen this bug to make it show up in https://qa.fedoraproject.org/blockerbugs/milestone/33/beta/buglist. Also, he instructed me to link it to the other bug (https://bugzilla.redhat.com/show_bug.cgi?id=1858974) Debarshi proposed for a Beta freeze exception.

Comment 11 Adam Williamson 2020-09-10 19:53:59 UTC
+6 votes in ticket - https://pagure.io/fedora-qa/blocker-review/issue/73 - setting accepted.

Comment 12 Fedora Update System 2020-09-10 20:29:08 UTC
FEDORA-2020-885e55baff has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.